package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.zjsgfa.framework.web.domain.AjaxResult;
import com.zjsgfa.project.zjsgfa.domain.SjDjjc;
import com.zjsgfa.project.zt.domain.CommonParam;

/**
 * 设计信息-井基础信息Service接口
 * 
 * @author
 * @date 2025-06-23
 */
public interface ISjDjjcService 
{
    /**
     * 查询设计信息-井基础信息
     * 
     * @param id 设计信息-井基础信息主键
     * @return 设计信息-井基础信息
     */
    public SjDjjc selectSjDjjcById(Long id);

    /**
     * 查询设计信息-井基础信息列表
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 设计信息-井基础信息集合
     */
    public List<SjDjjc> selectSjDjjcList(SjDjjc sjDjjc);

    /**
     * 新增设计信息-井基础信息
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 结果
     */
    public int insertSjDjjc(SjDjjc sjDjjc) throws Exception;

    /**
     * 修改设计信息-井基础信息
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 结果
     */
    public int updateSjDjjc(SjDjjc sjDjjc) throws Exception ;

    /**
     * 批量删除设计信息-井基础信息
     * 
     * @param ids 需要删除的设计信息-井基础信息主键集合
     * @return 结果
     */
    public int deleteSjDjjcByIds(Long[] ids);

    /**
     * 删除设计信息-井基础信息信息
     * 
     * @param id 设计信息-井基础信息主键
     * @return 结果
     */
    public int deleteSjDjjcById(Long id);

    AjaxResult saveLjzl(CommonParam param) throws Exception;

    AjaxResult saveZtxh(CommonParam param);

    AjaxResult saveZjzh(CommonParam param);

    AjaxResult jsljjz(SjDjjc sjDjjc) throws Exception;
}
